A meta do projeto ( Android L ( Preview) ) não foi carregado corretamente

? Kartheek s @ | Original: StackOverFlow
---

Recentemente fiz um upgrade Eclipse, juntamente com ADT plugin s para Android L priew .

Tenho a atualização do Java mais recente, bem ie Java 8 .

Eu não consegui ver o layout e exibe como abaixo

A meta do projeto ( Android L ( Preview) ) não foi carregado corretamente

---

Top 5 Responder

1noloman @

Você pode ver a seguinte nota em https://developer.android.com/preview/setup-sdk.html

Nota: O Eclipse ADT plug-in requer Java 7, se sua compilação   alvo é o L preview para desenvolvedores .

Talvez você não tem Java 7 instalado?

2codewrangler @

Este parece ser o problema .... a ' escolher automaticamente Best', pega a versão 'L' de API 20 em vez da versão 4.x do API 20. Na minha exemplo, estou visando API 19 e, aparentemente, isso não é compatível com a escolha de " API 20 : L Android (Preview) " .

Desculpe, este sistema não vai me deixar postar imagens ainda ...

3Alexandre Landim @

Por favor, note que este ícone Android na parte superior da tela

A meta do projeto ( Android L ( Preview) ) não foi carregado corretamente

Este ícone está no lado superior da tela :

A meta do projeto ( Android L ( Preview) ) não foi carregado corretamente

Provavelmente ele está exibindo o número 20. Esta é a seleção para usar a API de 20 para tornar a janela. Mude-o para 19 ou 20W ( não 20L ) . Ele vai resolver o problema.

A meta do projeto ( Android L ( Preview) ) não foi carregado corretamente

4Kartheek s @

O problema para o que está tendo diferentes versões do JRE

Eu tenho java 6 and 8 ambos instalados no meu sistema, então eu desinstalado java 6 e caminho definido para apenas 8 java .

Mas lembre-se de reiniciar o sistema depois de definir os caminhos.

Agora erro é ido ao visualizar android L Prévia

5Sgdva @

O que eu fiz depois de atualizar java foi para definir o sistema variável para java novamente

Configurações Avançadas do Sistema -> Avançado -> Variáveis ​​de ambiente .

Eu atualizei JAVA_HOME com este diretório

C: Program FilesJavajdk1.7.0_60

Back in eclipse, você pode:

Clique em Propriedades -> Android - > Project Construir Alvo

Alterar L android para android 4.4

Se você quiser usar android L, em seguida, mudar no minSdkVersion manifesto para "L"